#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-Diu4HS3AKidBdwRn5Hc9lp
key:                  ghcide-1.4.1.0-Diu4HS3AKidBdwRn5Hc9lp
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  98af2e5fa9b8e9808eabb0c26c1c4a25
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.1.0
hs-libraries:         HSghcide-1.4.1.0-Diu4HS3AKidBdwRn5Hc9lp
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.2-BtVQ17qbp7kFUBbUV7d6UA
    aeson-1.5.6.0-Fg135F0LK439ajXX1ctdPK
    aeson-pretty-0.8.9-2wFaR8qB5uQAG1D4Qvd5oa array-0.5.4.0
    async-2.2.3-Hbf8iw1TAQkCo5mSzdU6hX base-4.15.0.0
    base16-bytestring-1.0.1.0-HQnGun3kEYk7BOuN5JifKG binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-2SpEmtA48L245DyKbusMOM
    case-insensitive-1.2.1.0-9dMxC5qCFiO5i8VMVMsoWd containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-8R0VaRv3wrAI9biArVC9ov deepseq-1.4.5.0
    dependent-map-0.4.0.0-DOaFcPAjKDPKBEkIWJNgVw
    dependent-sum-0.7.1.0-BU5bYHIR6fODszeTbfJQGs directory-1.3.6.1
    dlist-1.0-968votKXJv95y05SwCWWU0
    extra-1.7.10-AT7u6AwKRFqHwkDE3qhZN1 filepath-1.4.2.1
    fingertree-0.1.4.2-9zJz3UEPOr5BGRqUuFxZzm
    fuzzy-0.1.0.1-67eY6PfcPKS2Zng5bx9LpA ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-1yKfO7VGvZZCF0jaDZL7MG
    ghc-exactprint-0.6.4-N5ZyOHklen3J4ccQdphuK
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-5TAFwQ6Il4e3hgt9twlNJA
    hashable-1.3.3.0-3L81lU2ygSqqBRC8gEHN5
    heapsize-0.3.0.1-2rGZvbcKaAd3jf9DFU8p2v
    hie-bios-0.7.6-FsiXU6sFd3q8IpfsVogYuk
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.1.0-CPtpUmW1PVF9UftlqfcDYo
    hls-graph-1.4.0.0-G1FxaVcekic8YRu1PN4V11
    hls-plugin-api-1.2.0.0-GSbidGpsOtG2IMDNUN6FDL
    hslogger-1.3.1.0-BgCS2q3IP2KkL4J2tffty
    implicit-hie-cradle-0.3.0.5-IMfzcu0sGK9BUSlzoF6ei8
    lens-5.0.1-JhRncaF453XLFQlfh7pvL7
    lsp-1.2.0.1-CnJoxD5hjihAm9Mc66EnCc
    lsp-types-1.3.0.1-31FD7XTzyb61wK4Mdm9U8q mtl-2.2.2
    network-uri-2.6.4.1-3nEDxRoWlqR897WvDb69sm
    opentelemetry-0.7.0-5hTsmsE4prS9oPTHJjAt2C
    optparse-applicative-0.16.1.0-2ANvBaQ4nVI2tTajbFzSVz
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-NzbUVcJ1NE4xBuHz8Kqrz
    prettyprinter-ansi-terminal-1.1.3-FQyOLnSgNTEAxpJj2BYsOW
    regex-tdfa-1.3.1.1-8KBKH3EsotI2v3BWqoG8PB
    retrie-1.0.0.0-3H715pvJNJfCtRR2o51c4w
    rope-utf16-splay-0.3.2.0-GPX39ySOw5hK9ItRnzsUTd
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-6cXDJVLhT4BIbNgfwvAnPt
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-7GWophhprjeGQyBUQr3k4g stm-2.5.0.0
    syb-0.7.2.1-JG4kH6P0JxMKeIFdjWhhC8 text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-6hkoFyvKXiz96UFSKh8jjB
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-BWkUXYfn3WoA4YwHbxKABd
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.1-4LU8STmHsbh153eRU0hKX2

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

